## ros-melodic-mavros-extras 1.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mavros_extras)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  mavros
  mavros_msgs
  roscpp
  sensor_msgs
  std_msgs
  tf
  tf2_eigen
  urdf
  visualization_msgs
)

## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS system)

find_package(Eigen3)
if(NOT EIGEN3_FOUND)
  # Fallback to cmake_modules
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
  set(EIGEN3_LIBRARIES ${EIGEN_LIBRARIES})
endif()

include(EnableCXX11)
include(MavrosMavlink)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()



###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES
  CATKIN_DEPENDS geometry_msgs mavros mavros_msgs roscpp sensor_msgs std_msgs visualization_msgs
  DEPENDS Boost
)

###########
## Build ##
###########

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${mavlink_INCLUDE_DIRS}
)

add_library(mavros_extras
  src/plugins/adsb.cpp
  src/plugins/cam_imu_sync.cpp
  src/plugins/companion_process_status.cpp
  src/plugins/onboard_computer_status.cpp
  src/plugins/debug_value.cpp
  src/plugins/distance_sensor.cpp
  src/plugins/esc_status.cpp
  src/plugins/fake_gps.cpp
  src/plugins/gps_rtk.cpp
  src/plugins/gps_status.cpp
  src/plugins/landing_target.cpp
  src/plugins/log_transfer.cpp
  src/plugins/mocap_pose_estimate.cpp
  src/plugins/obstacle_distance.cpp
  src/plugins/odom.cpp
  src/plugins/play_tune.cpp
  src/plugins/px4flow.cpp
  src/plugins/rangefinder.cpp
  src/plugins/trajectory.cpp
  src/plugins/vibration.cpp
  src/plugins/vision_pose_estimate.cpp
  src/plugins/vision_speed_estimate.cpp
  src/plugins/wheel_odometry.cpp
  src/plugins/mount_control.cpp
)
add_dependencies(mavros_extras
  ${catkin_EXPORTED_TARGETS}
)
target_link_libraries(mavros_extras
  ${mavros_LIBRARIES}
  ${catkin_LIBRARIES}
)

## Declare a cpp executable
add_executable(visualization
  src/visualization.cpp
)
target_link_libraries(visualization
  ${catkin_LIBRARIES}
)

add_executable(servo_state_publisher
  src/servo_state_publisher.cpp
)
target_link_libraries(servo_state_publisher
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
file(GLOB SCRIPTS ${PROJECT_SOURCE_DIR}/scripts/*)
install(PROGRAMS
  ${SCRIPTS}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
install(TARGETS mavros_extras visualization servo_state_publisher
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES
  mavros_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_mavros_extras.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

# vim: ts=2 sw=2 et:

=== debian/changelog ===
ros-melodic-mavros-extras (1.5.0-1stretch) stretch; urgency=high

  * mavros_extras: Fix member initialization order
  * mavros_extras: Add override specifiers
  * mavros_extras: distance_sensor: Don't publish data when orientation configuration does not match incomming data.
  * fake_gps: Fix assignment typo
    This colon should probably be an equals sign.
    With the colon, this assignment becomes a label instead,
    and _gps_rate after the colon becomes an unused
    expression result.
  * Contributors: Kristian Klausen, Morten Fyhn Amundsen

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 11 Nov 2020 00:00:00 -0000

ros-melodic-mavros-extras (1.4.0-1stretch) stretch; urgency=high

  * mavros: use mavlink::minimal:: after incompatible changes in mavlink package
    Incompatible change: https://github.com/mavlink/mavlink/pull/1463
    Fix: #1483 <https://github.com/mavlink/mavros/issues/1483>, https://github.com/mavlink/mavlink/issues/1474
  * play_tune: Assign tune format directly
  * play_tune: Uncrustify
  * play_tune: Use msg_set_target and set_string_z
  * play_tune: Write new plugin
  * Contributors: Morten Fyhn Amundsen, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 11 Sep 2020 00:00:00 -0000

ros-melodic-mavros-extras (1.3.0-1stretch) stretch; urgency=high

  * Take into account message count for message size
  * Add esc_status plugin.
  * fake_gps.cpp: Implement GPS time data
  * fake_gps.cpp: implement speed accuracy
  * fake_gps.cpp: Added horiz_accuracy and vert_accuracy parameters
  * fake_gps.cpp: Add mocap_withcovariance configuration parameter
  * fake_gps.cpp: add initial support for GPS_INPUT MAVLink message
  * fake_gps.cpp: uncrustify
  * Add gps_status plugin to publish GPS_RAW and GPS_RTK messages from FCU.
    The timestamps for the gps_status topics take into account the mavlink time and uses the convienence function
  * uncrustify gps_rtk plugin
  * adding support for publishing rtkbaseline msgs over ROS
  * Contributors: CSCE439, Dr.-Ing. Amilcar do Carmo Lucas, Ricardo Marques

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 08 Aug 2020 00:00:00 -0000

ros-melodic-mavros-extras (1.2.0-1stretch) stretch; urgency=high

  * Revert "extras: odom: Hardcode BODY_FRD enum_value to fix compilation"
    This reverts commit 1a898dea2202ee1af56d698bd40d40994346c5cb.
  * extras: odom: Hardcode BODY_FRD enum_value to fix compilation
    That PR broke build: https://github.com/mavlink/mavlink/pull/1112
    TODO: find out what frame should be used
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 22 May 2020 00:00:00 -0000

ros-melodic-mavros-extras (1.1.0-1stretch) stretch; urgency=high

  * Setting the same transparency for all elements
  * Visualization of the direction of the device
  * add support for bezier
  * Contributors: Alamoris, Martina Rivizzigno

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 04 Apr 2020 00:00:00 -0000

ros-melodic-mavros-extras (1.0.0-1stretch) stretch; urgency=high

  * Change odometry subscription queue to 1 to avoid buffering.
  * Contributors: James Goppert

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 01 Jan 2020 00:00:00 -0000

ros-melodic-mavros-extras (0.33.4-1stretch) stretch; urgency=high

  * obstacle_distance: Fill both increment and increment_f fields
  * obstacle_distance: Fix wrong angle increment
    The computation req->angle_increment * RAD_TO_DEG correctly computes
    angle increment in degrees as a float, but the increment field of the
    OBSTACLE_DISTANCE MAVLink message is a uint8, so the float value gets
    truncated. So if your real increment is 10 degrees, you may a floating
    point value of something like 9.999999, which results in the integer value
    9 getting written to the increment field.
    An improvement would be to round properly, with something like
    static_cast<uint8_t>(increment_deg_float),
    but a better solution is to allow non-integer degree values for the
    increment, which is supported by the increment_f field. According
    to the MAVLink reference, increment_f is used instead of increment
    whenever increment_f is nonzero.
  * Contributors: Morten Fyhn Amundsen

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 12 Dec 2019 00:00:00 -0000

ros-melodic-mavros-extras (0.33.3-1stretch) stretch; urgency=high

  * package: fix 6fa58e59 - main package depends on trajectory_msgs, not extras
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 13 Nov 2019 00:00:00 -0000

ros-melodic-mavros-extras (0.33.2-1stretch) stretch; urgency=high

  * Add trajectory_msg as dependency
  * Contributors: Jaeyoung-Lim

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 13 Nov 2019 00:00:00 -0000

ros-melodic-mavros-extras (0.33.1-1stretch) stretch; urgency=high

  * Merge pull request #1297 <https://github.com/mavlink/mavros/issues/1297> from dayjaby/feature/mount_orientation
    adding mount orientation to mount_control plugin
  * landing_target: Fix cartesian to displacement bug
    I think these four conditionals are buggy:
    The first is    (x and y) > 0
    and should be   (x > 0) and (y > 0)
    (This one actually works the way it's written.)
    The second is   (x < 0 and y) > 0
    and should be   (x < 0) and (y > 0)
    The third is    (x and y) < 0
    and should be   (x < 0) and (y < 0)
    The fourth is   (x < 0 and y) < 0
    and should be   (x > 0) and (y < 0)
  * obstacle distance plugin: Add ROS param for mavlink frame
    Makes it possible to specify the 'frame' field in the MAVLink
    OBSTACLE_DISTANCE message sent by this plugin. Previously the
    frame was not defined, which means it defaulted to MAV_FRAME_GLOBAL.
    (See https://mavlink.io/en/messages/common.html#OBSTACLE_DISTANCE)
    The default frame is therefore still MAV_FRAME_GLOBAL.
  * resolved merge conflict
  * adding mount orientation to mount_control plugin
  * Contributors: David Jablonski, Morten Fyhn Amundsen, Vladimir Ermakov



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-mavros-extras//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-mavros-extras 1.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -67,28 +67,36 @@
 add_library(mavros_extras
   src/plugins/adsb.cpp
   src/plugins/cam_imu_sync.cpp
+  src/plugins/camera.cpp
+  src/plugins/cellular_status.cpp
   src/plugins/companion_process_status.cpp
   src/plugins/onboard_computer_status.cpp
   src/plugins/debug_value.cpp
   src/plugins/distance_sensor.cpp
   src/plugins/esc_status.cpp
+  src/plugins/esc_telemetry.cpp
   src/plugins/fake_gps.cpp
+  src/plugins/gps_input.cpp
   src/plugins/gps_rtk.cpp
   src/plugins/gps_status.cpp
   src/plugins/landing_target.cpp
   src/plugins/log_transfer.cpp
+  src/plugins/mag_calibration_status.cpp
   src/plugins/mocap_pose_estimate.cpp
+  src/plugins/mount_control.cpp
   src/plugins/obstacle_distance.cpp
   src/plugins/odom.cpp
   src/plugins/play_tune.cpp
   src/plugins/px4flow.cpp
   src/plugins/rangefinder.cpp
+  src/plugins/terrain.cpp
   src/plugins/trajectory.cpp
+  src/plugins/tunnel.cpp
   src/plugins/vibration.cpp
   src/plugins/vision_pose_estimate.cpp
   src/plugins/vision_speed_estimate.cpp
   src/plugins/wheel_odometry.cpp
-  src/plugins/mount_control.cpp
+  src/plugins/guided_target.cpp
 )
 add_dependencies(mavros_extras
   ${catkin_EXPORTED_TARGETS}

=== debian/changelog ===
ros-melodic-mavros-extras (1.16.0-1bionic) bionic; urgency=high

  * Merge pull request #1817 <https://github.com/mavlink/mavros/issues/1817> from lucasw/pluginlib_hpp
    use hpp instead of deprecated .h pluginlib headers
  * use hpp instead of deprecated .h pluginlib headers
  * Contributors: Lucas Walter, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 05 May 2023 00:00:00 -0000

ros-melodic-mavros-extras (1.15.0-1bionic) bionic; urgency=high

  * Merge pull request #1811 <https://github.com/mavlink/mavros/issues/1811> from scoutdi/debug-float-array
    Implement debug float array handler
  * Implement debug float array handler
    Co-authored-by: Morten Fyhn Amundsen <mailto:morten.f.amundsen@scoutdi.com>
  * Merge pull request #1807 <https://github.com/mavlink/mavros/issues/1807> from scoutdi/fix-bitwise-comparison
    mavros_extras: Fix a comparison that shouldn't be bitwise
  * Merge pull request #1808 <https://github.com/mavlink/mavros/issues/1808> from scoutdi/fix-sequence-point-warning
    mavros_extras: Fix a sequence point warning
  * mavros_extras: Fix a sequence point warning
  * mavros_extras: Fix a comparison that shouldn't be bitwise
  * Merge pull request #1805 <https://github.com/mavlink/mavros/issues/1805> from scoutdi/fix-latlon-check
    mavros_extras: Fix buggy check for lat/lon ignored
  * mavros_extras: Fix buggy check for lat/lon ignored
  * Contributors: Morten Fyhn Amundsen, Sverre Velten Rothmund, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 30 Dec 2022 00:00:00 -0000

ros-melodic-mavros-extras (1.14.0-1bionic) bionic; urgency=high

  * Merge pull request #1780 <https://github.com/mavlink/mavros/issues/1780> from snktshrma/master
    guided_target: accept position-target-global-int messages
  * plugins: add guided_target to accept offboard position targets
    Update guided_target.cpp
    Update guided_target.cpp
    Update mavros_plugins.xml
    Update CMakeLists.txt
    Added offboard_position.cpp
    Update apm_config.yaml
    Update offboard_position.cpp
    Update offboard_position.cpp
    Rename offboard_position.cpp to guided_target.cpp
    Update CMakeLists.txt
    Update mavros_plugins.xml
    Update apm_config.yaml
    Update guided_target.cpp
  * Merge pull request #1744 <https://github.com/mavlink/mavros/issues/1744> from amilcarlucas/pr_gimbal_diagnostics_fixes
    mount_control.cpp: detect MOUNT_ORIENTATION stale messages
  * mount_control.cpp: detect MOUNT_ORIENTATION stale messages
    correct MountConfigure response success
    correct constructor initialization order
    some gimbals send negated/inverted angle measurements, correct that to obey the MAVLink frame convention using run-time parameters
  * Merge pull request #1727 <https://github.com/mavlink/mavros/issues/1727> from BV-OpenSource/pr-cellular-status
    Pr cellular status
  * uncrustify cellular_status.cpp
  * Add CellularStatus plugin and message
  * Merge pull request #1702 <https://github.com/mavlink/mavros/issues/1702> from amilcarlucas/mount_diagnostics
    Mount control plugin: add configurable diagnostics
  * mount_control.cpp: use mount_nh for params to keep similarities with other plugins
    set diag settings before add()
  * Mount control plugin: add configurable diagnostics
  * Merge pull request #1700 <https://github.com/mavlink/mavros/issues/1700> from oroelipas/fix-obstacle-distance
    Fix obstacle distance
  * Bugfix: increment_f had no value asigned when input LaserScan was bigger than obstacle.distances.size()
  * Bugfix: wrong interpolation when the reduction ratio (scale_factor) is not integer.
  * Contributors: Dr.-Ing. Amilcar do Carmo Lucas, Rui Mendes, Sanket Sharma, Vladimir Ermakov, oroel

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 24 Sep 2022 00:00:00 -0000

ros-melodic-mavros-extras (1.13.0-1bionic) bionic; urgency=high

  * Merge pull request #1677 <https://github.com/mavlink/mavros/issues/1677> from AndersonRayner/add_terrain
    Add plugin for reporting terrain height estimate from the FCU
  * Removed CamelCase for class members.  Publish to "report"
  * More explicitly state "TerrainReport" to allow for future extension of the plugin to support other terrain messages
  * Fixed callback name to match handle_{MESSAGE_NAME.lower()} convention
  * Fixed topic names to match more closely what other plugins use.  Fixed a typo.
  * Add plugin for reporting terrain height estimate from FCU
  * Contributors: Vladimir Ermakov, matt

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 13 Jan 2022 00:00:00 -0000

ros-melodic-mavros-extras (1.12.2-1bionic) bionic; urgency=high

  * extras: trajectory: backport #1667 <https://github.com/mavlink/mavros/issues/1667>
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 12 Dec 2021 00:00:00 -0000

ros-melodic-mavros-extras (1.12.1-1bionic) bionic; urgency=high

  * Merge pull request #1660 <https://github.com/mavlink/mavros/issues/1660> from scoutdi/fix-warnings
    Fix warnings
  * mavros_extras: Fix some warnings
  * Contributors: Morten Fyhn Amundsen, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 29 Nov 2021 00:00:00 -0000

ros-melodic-mavros-extras (1.12.0-1bionic) bionic; urgency=high

  * extras: distance_sensor: revert back to zero quaternion
    Fix #1653 <https://github.com/mavlink/mavros/issues/1653>
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 27 Nov 2021 00:00:00 -0000

ros-melodic-mavros-extras (1.11.1-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 24 Nov 2021 00:00:00 -0000

ros-melodic-mavros-extras (1.11.0-1bionic) bionic; urgency=high

  * extras: landing_target: fix misprint
  * plugin: initialize quaternions with identity
    Eigen::Quaternion[d|f] () does not initialize with zeroes or identity.
    So we must initialize with identity vector objects that can be left
    unassigned.


=== debian/control ===
Source: ros-melodic-mavros-extras
Section: misc
Priority: optional
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-geometry-msgs, ros-melodic-mavros, ros-melodic-mavros-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-tf2-eigen, ros-melodic-urdf, ros-melodic-visualization-msgs
Homepage: http://wiki.ros.org/mavros_extras
Standards-Version: 3.9.2

Package: ros-melodic-mavros-extras
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-mavros, ros-melodic-mavros-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-tf2-eigen, ros-melodic-urdf, ros-melodic-visualization-msgs
Description: Extra nodes and plugins for MAVROS.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
